import express from "express";
import user_routes from "./user/user.js";
import auth_routes from "./auth/auth.js";
import section_routes from "./contents/section.js";
import topic_routes from "./contents/topic.js";
import level_routes from "./contents/level.js";
import exercise_routes from "./contents/exercise.js";
import stdLearning_routes from "./learning/stdLearning.js";
import stdExercise_routes from "./learning/stdExercise.js";
import class_routes from "./monitoring/class.js";
import monitoring_routes from "./monitoring/monitoring.js";
import report_routes from "./user/report.js";

const route = express();
route.use(user_routes);
route.use(auth_routes);
route.use(section_routes);
route.use(topic_routes);
route.use(level_routes);
route.use(exercise_routes);
route.use(stdLearning_routes);
route.use(stdExercise_routes);
route.use(class_routes);
route.use(monitoring_routes);
route.use(report_routes);

export default route;
